[Forgot Password]
Login  Register Subscribe

24128

 
 

131615

 
 

111666

 
 

909

 
 

87321

 
 

136

Paid content will be excluded from the download.


Download | Alert*
OVAL

Memory corruption vulnerability in Adobe Flash Player and Adobe AIR related to connect method (Mac OS X)

ID: oval:org.secpod.oval:def:5403Date: (C)2012-04-30   (M)2018-07-10
Class: VULNERABILITYFamily: macos




The host is installed with Adobe Flash Player before 9.0.280 or 10.x before 10.1.82.76 or Adobe AIR before 2.0.3 and is prone to memory corruption vulnerability. A flaw is present in the application, which is caused by an error in the exposed connect method. Successful exploitation allows attackers to cause a denial of service or possibly execute arbitrary code.

Platform:
Apple Mac OS X 10.8
Apple Mac OS X 10.9
Apple Mac OS X 10.10
Apple Mac OS X 10.11
Apple Mac OS X 10.12
Apple Mac OS X Server 10.8
Apple Mac OS X Server 10.9
Apple Mac OS X Server 10.10
Apple Mac OS X Server 10.11
Apple Mac OS X Server 10.12
Product:
Adobe AIR
Adobe Flash Player
Reference:
CVE-2010-2188
CVE    1
CVE-2010-2188
CPE    59
cpe:/a:adobe:flash_player:8
cpe:/a:adobe:flash_player:7
cpe:/a:adobe:flash_player
cpe:/a:adobe:flash_player:10.0.15.3
...

© SecPod Technologies